# Uses of Enum Class
org.eclipse.net4j.util.security.IChallengeResponse.Event

Packages that use IChallengeResponse.Event
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of IChallengeResponse.Event in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security that return IChallengeResponse.Event
Modifier and Type
Method
Description
`static IChallengeResponse.Event`
IChallengeResponse.Event.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IChallengeResponse.Event[]`
IChallengeResponse.Event.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.security with parameters of type IChallengeResponse.Event
Modifier and Type
Method
Description
`final void`
ChallengeResponseNegotiator.Transition.`execute(INegotiationContext context, IChallengeResponse.State state, IChallengeResponse.Event event, ByteBuffer buffer)`